Bug 214901 - freeradius dies when sent a SIGHUP
freeradius dies when sent a SIGHUP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 16:51 EST by John Guthrie
Modified: 2008-05-06 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from radiusd -X when you send it a SIGHUP (2.09 KB, text/plain)
2006-11-09 16:51 EST, John Guthrie
no flags Details

  None (edit)
Description John Guthrie 2006-11-09 16:51:28 EST
Description of problem: freeradius dies, (possibly with a SEGV) when you send it
a SIGHUP.  According to the man page, radiusd is supposed to re-read its
configuration files when you do this.


Version-Release number of selected component (if applicable): 1.1.3-1


How reproducible: Every time


Steps to Reproduce:
1. service radiusd start
2. kill -1 $radiusd_pid (put in the correct pid here)
3.
  
Actual results: freeradius tries to reload the configuration files, and then
dies.  I am attaching the output from radiusd -X at the end of this report.

Expected results: radiusd should just re-read the config files, and then go
about its business

Additional info:
Comment 1 John Guthrie 2006-11-09 16:51:28 EST
Created attachment 140842 [details]
Output from radiusd -X when you send it a SIGHUP
Comment 2 Thomas Woerner 2006-11-21 12:51:40 EST
Please have a look at http://people.redhat.com/twoerner/BZ/214901/

This package should fix your porblem.
Comment 3 Thomas Woerner 2006-11-21 12:52:28 EST
Wrong bz entry, sorry.
Comment 4 John Guthrie 2006-11-28 20:28:53 EST
Is there a package that I should be looking at, or was that supposed to be a
post to a different package.  (I have to apologize for not being familiar with
the term bz.)
Comment 5 John Guthrie 2007-01-22 16:30:17 EST
Ping?
Comment 6 Thomas Woerner 2007-08-29 05:04:59 EDT
Please have a look at freeradius-1.1.7-2.fc6 package in FC-6-testing it should
solve your problem.
Comment 7 Red Hat Bugzilla 2007-09-17 01:19:40 EDT
transferred from Thomas Woerner to John Dennis, requested by Steve Grubb.
Comment 8 John Guthrie 2007-12-06 18:47:13 EST
I have the latest version from FC6, 1.1.7-3.1.fc6, installed.  That seems to
have fixed the problem.

Thank you very much.
Comment 9 Bug Zapper 2008-04-04 00:34:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 12:46:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.